import { ComponentRender, IComponentEvents } from '@zeedhi/common';
import { IEventParam } from '@zeedhi/core';
import { IRatings } from './IRatings';

export class RatingsClass extends ComponentRender implements IRatings {
  public events!: IComponentEvents<IEventParam<any>>;

  public emptyIcon: string = 'mdi-star-outline';

  public fullIcon: string = 'mdi-star';

  public value: number = 0;

  public size?: number;

  public readonly: boolean = false;

  public length!: number;

  constructor(props: IRatings) {
    super(props);
    this.length = this.getInitValue('length', props.length, this.length);
    this.size = this.getInitValue('size', props.size, this.size);
    this.createAccessors();
  }
}
